profile
viewpoint

grpc-ecosystem/grpcdebug 22

grpcdebug is a command line interface focusing on simplifying the debugging process of gRPC applications.

lidizheng/grpc 3

The C based gRPC (C++, Python, Ruby, Objective-C, PHP, C#)

lidizheng/grpc-api-examples 3

These are just examples.

lidizheng/gdebug 1

A local command line debugger for gRPC applications

lidizheng/grpctl 1

Local dev helper for gRPC services

GradPaul/GradPaul 0

The purpose we build this project is for school CREDIT.

lidizheng/awesome-grpc 0

A curated list of useful resources for gRPC

lidizheng/Catalog 0

Udacity Project

pull request commentgrpc/grpc

Reduce the workload of presubmit artifact builds and distribtests

@jtattermusch PTALA.

lidizheng

comment created time in 2 days

push eventlidizheng/grpc

Lidi Zheng

commit sha 89f92bb7e932bda2072e9ace6941e6c635b5d84e

Revert "[DO-NOT-SUBMIT] Add ad-hoc TASK_RUNNER_EXTRA_FILTERS" This reverts commit 9436ac54acf936f3109054c9f5eec97a0cd10391.

view details

push time in 2 days

Pull request review commentgrpc/grpc

Reduce the workload of presubmit artifact builds and distribtests

 # Config file for the internal CI (in protobuf text format)  # Location of the continuous shell script in repository.-build_file: "grpc/tools/internal_ci/linux/grpc_build_artifacts.sh"+# [DO-NOT-SUBMIT]

Internally, the Kokoro cfg are pointing to the master cfg not the pull_request cfg. I will remove all of them before it's ready for review. I hope to get green runs before I sent it out again.

lidizheng

comment created time in 2 days

PullRequestReviewEvent

push eventlidizheng/grpc

Lidi Zheng

commit sha c996de117ce4267532d2e811a7b7444e252a0a9f

Clean-up Kokoro cfg

view details

Lidi Zheng

commit sha 9436ac54acf936f3109054c9f5eec97a0cd10391

[DO-NOT-SUBMIT] Add ad-hoc TASK_RUNNER_EXTRA_FILTERS

view details

push time in 2 days

push eventlidizheng/grpc

Mark D. Roth

commit sha 9722651156ddf97e8b90d991b379a4692c5a344e

xds_end2end_test: remove num_balancers from test suite and remove dependence on fake resolver for xDS channel (#28245) * xds_end2end_test: remove num_balancers from test suite * fix clang-tidy

view details

Yash Tibrewal

commit sha 50a207ee9cc2cf4ffbf3e34f7a46af854b3535f5

Promote ClientContext::set_wait_foor_ready to be non-experimental (#28247)

view details

Mark D. Roth

commit sha 0073403206f645d76f2e7eb27eb61ef5580c622b

XdsClient: fix object deletion problem on import (#28254)

view details

apolcyn

commit sha c6b9483a30b13e759942becfe0fc11f2cd023aab

add test for c-ares resolver error message propogation (#28252)

view details

Mark D. Roth

commit sha ce2d09f7b4af6311ba465f2a4a1e7fd0b21173e4

add 1.42.0 to interop matrix (#28261)

view details

Esun Kim

commit sha c007ea297cceabe4ce67f828cf8fd8a6659cf8e7

Added virtualenv to ruby and php73 docker for psm (#28263)

view details

Esun Kim

commit sha 260145c517f1f5836ddd60a7b7415b59540f2faf

Updated backoff to use absl::Random (#27193) * Replace in-house rand with absl::Random for backoff (#26463) * Replace in-house rand with absl::Random for backoff * Run sanity * Added bscrypt dependency * Removed ABSL_RANDOM_HWAES_FLAGS * Remove GCC_WARN_64_TO_32_BIT_CONVERSION = YES * GCC_WARN_64_TO_32_BIT_CONVERSION to podspec install

view details

Yash Tibrewal

commit sha 3689072979556f864a31b854b24640370c272e48

xDS: Add graceful shutdown for old connections on listener resource update (#28154) * xDS: Add graceful shutdown for old connections on listener resource update * Add TODOs for review * Reviewer comments * Reviewer comments * Fix merge * Fix comment * s/GRPC_ARG_DRAIN_GRACE_TIME_MS/GRPC_ARG_SERVER_CONFIG_CHANGE_DRAIN_GRACE_TIME_MS

view details

Richard Belleville

commit sha 3892b3b35989e66bd05d3fd558ac82875c27c80f

Explicitly use python3 virtualenv in Ruby and PHP xDS interop setup scripts (#28255)

view details

Craig Tiller

commit sha e21505858fa80ef74eea836452f0954328364f3d

Move some integer based metadata to the new system (#28198) * Eliminate most of grpc_message metadata handling * Eliminate most of host metadata handling * Remove more callouts without fixing code * fiiixes * typo * Automated change: Fix sanity tests * try-shrink * Automated change: Fix sanity tests * size tweaks * less tricks * deunique * commonize * commonize * Automated change: Fix sanity tests * size tuning, fixes * Automated change: Fix sanity tests * fix * size tuning, fixes * remove constexpr * fix * reuse code * fix * tweak code * more tweaks * tell no lies * fixes * fixes * Automated change: Fix sanity tests * fix * fix * fix * fix * fix? * fix binder * fix * fix * fixes * Automated change: Fix sanity tests * fix * initial refactoring * optimize status encoding * Automated change: Fix sanity tests * Automated change: Fix sanity tests * fix * try to fix windows failure * try and scale sizes better * ambiguity fix? * wip metadatavalueasslice * Fix status code for resource exhaustion * Revert "Revert "Move a bunch of slice typed metadata to new system (#28107)" (#28208)" This reverts commit 771758706396560d6eb91ef6058cdf0e1e65341e. * fix test * Automated change: Fix sanity tests * slice helper * x * noinline * try and scale sizes better * Automated change: Fix sanity tests * fixes * fix * fix * fix build * fix overflow * fix * fix * fix * fix * review feedback Co-authored-by: ctiller <ctiller@users.noreply.github.com>

view details

Mark D. Roth

commit sha cbe2855866fc2c9cfdf9e6ed685aabe92ffb509e

XdsClient: move resource type parsing out of XdsApi (#28151) * introduce XdsResourceType API and change Listener parsing to use it * converted RouteConfig parsing * convert cluster and endpoint parsing * cleanup * clang-format * attempt to work around compiler problems * move XdsResourceType to its own file, and move endpoint code out of XdsApi * move cluster parsing to its own file * move route config parsing to its own file * move listener parsing to its own file * clang-format * minor cleanup * remove comment * add missing virtual dtor

view details

Craig Tiller

commit sha 8a050874c96170ed6e43ebf4dc235a8833075a0a

Fix exposing "host" metadata (#28268)

view details

Hannah Shi

commit sha 540a785e5f654820898ae608c4303003172d67a2

podfile cleanup (#28175) all tests pass, merged

view details

James Newton-King

commit sha 65efed181d7fc088835fe24e4f2351dc6f42e037

[C#] Add ConfigureAwait to AsyncUnaryCall and AsyncClientStreamingCall (#28235) * Add ConfigureAwait to AsyncUnaryCall and AsyncClientStreamingCall * Update comment

view details

Jan Tattermusch

commit sha 7ecdaf8dcc93ae5f7395d1c4f67da233875411c8

print commit SHA for other langs when running interop tests (#28241)

view details

Jan Tattermusch

commit sha a0c975abd52243bf2f87e4040daae2ddb87e7a30

add run_in_docker.sh with examples (#28127)

view details

Jan Tattermusch

commit sha 3a024ea40cfcaf26393bb20c1fc6d2293e5188ff

Avoid extremely slow kokoro job finalization by moving workspace to a non-synced directory on kokoro workers. (#28259) * support "move and respawn" for kokoro jobs * delete_nonartifacts.sh no longer needed * bazel distribtest dont publish any artifacts * try the altsrc respawn for selected jobs * use altsrc for all windows CI jobs * use altsrc for all macos CI jobs * only move files under src/github * fix uploading artifacts on windows

view details

Lidi Zheng

commit sha 1e242decfaa27b12cb73cc9752ccae0b76ca21f0

Reduce the workload of presubmit artifact builds and distribtests * Create and redirect Kokoro config * Remove duplicated scripts and use env var config

view details

push time in 3 days

push eventlidizheng/grpc

Mark D. Roth

commit sha ce2d09f7b4af6311ba465f2a4a1e7fd0b21173e4

add 1.42.0 to interop matrix (#28261)

view details

Esun Kim

commit sha c007ea297cceabe4ce67f828cf8fd8a6659cf8e7

Added virtualenv to ruby and php73 docker for psm (#28263)

view details

Esun Kim

commit sha 260145c517f1f5836ddd60a7b7415b59540f2faf

Updated backoff to use absl::Random (#27193) * Replace in-house rand with absl::Random for backoff (#26463) * Replace in-house rand with absl::Random for backoff * Run sanity * Added bscrypt dependency * Removed ABSL_RANDOM_HWAES_FLAGS * Remove GCC_WARN_64_TO_32_BIT_CONVERSION = YES * GCC_WARN_64_TO_32_BIT_CONVERSION to podspec install

view details

Yash Tibrewal

commit sha 3689072979556f864a31b854b24640370c272e48

xDS: Add graceful shutdown for old connections on listener resource update (#28154) * xDS: Add graceful shutdown for old connections on listener resource update * Add TODOs for review * Reviewer comments * Reviewer comments * Fix merge * Fix comment * s/GRPC_ARG_DRAIN_GRACE_TIME_MS/GRPC_ARG_SERVER_CONFIG_CHANGE_DRAIN_GRACE_TIME_MS

view details

Richard Belleville

commit sha 3892b3b35989e66bd05d3fd558ac82875c27c80f

Explicitly use python3 virtualenv in Ruby and PHP xDS interop setup scripts (#28255)

view details

Craig Tiller

commit sha e21505858fa80ef74eea836452f0954328364f3d

Move some integer based metadata to the new system (#28198) * Eliminate most of grpc_message metadata handling * Eliminate most of host metadata handling * Remove more callouts without fixing code * fiiixes * typo * Automated change: Fix sanity tests * try-shrink * Automated change: Fix sanity tests * size tweaks * less tricks * deunique * commonize * commonize * Automated change: Fix sanity tests * size tuning, fixes * Automated change: Fix sanity tests * fix * size tuning, fixes * remove constexpr * fix * reuse code * fix * tweak code * more tweaks * tell no lies * fixes * fixes * Automated change: Fix sanity tests * fix * fix * fix * fix * fix? * fix binder * fix * fix * fixes * Automated change: Fix sanity tests * fix * initial refactoring * optimize status encoding * Automated change: Fix sanity tests * Automated change: Fix sanity tests * fix * try to fix windows failure * try and scale sizes better * ambiguity fix? * wip metadatavalueasslice * Fix status code for resource exhaustion * Revert "Revert "Move a bunch of slice typed metadata to new system (#28107)" (#28208)" This reverts commit 771758706396560d6eb91ef6058cdf0e1e65341e. * fix test * Automated change: Fix sanity tests * slice helper * x * noinline * try and scale sizes better * Automated change: Fix sanity tests * fixes * fix * fix * fix build * fix overflow * fix * fix * fix * fix * review feedback Co-authored-by: ctiller <ctiller@users.noreply.github.com>

view details

Mark D. Roth

commit sha cbe2855866fc2c9cfdf9e6ed685aabe92ffb509e

XdsClient: move resource type parsing out of XdsApi (#28151) * introduce XdsResourceType API and change Listener parsing to use it * converted RouteConfig parsing * convert cluster and endpoint parsing * cleanup * clang-format * attempt to work around compiler problems * move XdsResourceType to its own file, and move endpoint code out of XdsApi * move cluster parsing to its own file * move route config parsing to its own file * move listener parsing to its own file * clang-format * minor cleanup * remove comment * add missing virtual dtor

view details

Craig Tiller

commit sha 8a050874c96170ed6e43ebf4dc235a8833075a0a

Fix exposing "host" metadata (#28268)

view details

Hannah Shi

commit sha 540a785e5f654820898ae608c4303003172d67a2

podfile cleanup (#28175) all tests pass, merged

view details

James Newton-King

commit sha 65efed181d7fc088835fe24e4f2351dc6f42e037

[C#] Add ConfigureAwait to AsyncUnaryCall and AsyncClientStreamingCall (#28235) * Add ConfigureAwait to AsyncUnaryCall and AsyncClientStreamingCall * Update comment

view details

Jan Tattermusch

commit sha 7ecdaf8dcc93ae5f7395d1c4f67da233875411c8

print commit SHA for other langs when running interop tests (#28241)

view details

Jan Tattermusch

commit sha a0c975abd52243bf2f87e4040daae2ddb87e7a30

add run_in_docker.sh with examples (#28127)

view details

Jan Tattermusch

commit sha 3a024ea40cfcaf26393bb20c1fc6d2293e5188ff

Avoid extremely slow kokoro job finalization by moving workspace to a non-synced directory on kokoro workers. (#28259) * support "move and respawn" for kokoro jobs * delete_nonartifacts.sh no longer needed * bazel distribtest dont publish any artifacts * try the altsrc respawn for selected jobs * use altsrc for all windows CI jobs * use altsrc for all macos CI jobs * only move files under src/github * fix uploading artifacts on windows

view details

push time in 3 days

startedfacebook/buck

started time in 3 days

Pull request review commentgrpc/grpc

Avoid extremely slow kokoro job finalization by moving workspace to a non-synced directory on kokoro workers.

 cp -r artifacts/* input_artifacts/ || true # a better signal about which distribtest are affected by the currently broken artifact builds. tools/run_tests/task_runner.py -f distribtest linux php -j 4 -x distribtests/sponge_log.xml || FAILED="true" +tools/internal_ci/helper_scripts/store_artifacts_from_moved_src_tree.sh

You mentioned Ruby artifacts diverge between build_artifacts and distribtests. If it's potentially useful in future, and an immediate optimization. Maybe we can optimize now? Up to you.

jtattermusch

comment created time in 3 days

PullRequestReviewEvent

Pull request review commentgrpc/grpc

Avoid extremely slow kokoro job finalization by moving workspace to a non-synced directory on kokoro workers.

 cp -r artifacts/php_pecl_package_macos_*/* input_artifacts/ || true # a better signal about which distribtest are affected by the currently broken artifact builds. tools/run_tests/task_runner.py -f distribtest macos php -j 4 -x distribtests/sponge_log.xml || FAILED="true" -tools/internal_ci/helper_scripts/delete_nonartifacts.sh || true+tools/internal_ci/helper_scripts/store_artifacts_from_moved_src_tree.sh

This is a distribtest, do we need to preserve artifacts?

jtattermusch

comment created time in 3 days

Pull request review commentgrpc/grpc

Avoid extremely slow kokoro job finalization by moving workspace to a non-synced directory on kokoro workers.

+#!/bin/bash+# Copyright 2021 The gRPC Authors+#+# Licensed under the Apache License, Version 2.0 (the "License");+# you may not use this file except in compliance with the License.+# You may obtain a copy of the License at+#+#     http://www.apache.org/licenses/LICENSE-2.0+#+# Unless required by applicable law or agreed to in writing, software+# distributed under the License is distributed on an "AS IS" BASIS,+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.+# See the License for the specific language governing permissions and+# limitations under the License.++# Source this rc script at the beginning of your CI script to move+# the entire source tree to a different directory.+# That avoids slow finalization (and a number of other problems)+# caused by kokoro rsyncing the entire /tmpfs/src directory+# back to the agent.+# See b/74837748 for more context.++set -ex++CURRENT_DIR="$(pwd)"+CI_SCRIPT_RELATIVE_TO_SRC="$0"++if [ "${CURRENT_DIR}" == "/tmpfs/altsrc" ]+then+  # we already respawned under /tmpfs/altsrc, no need to do anything+  echo "Successfully respawned the CI script ${CI_SCRIPT_RELATIVE_TO_SRC} under ${CURRENT_DIR}."+  # scripts in tools/run_tests generate test reports and we need to make sure these reports+  # land in a directory that is going to be rsynced back to the kokoro agent.+  export GRPC_TEST_REPORT_BASE_DIR="/tmpfs/src/github/grpc"+elif [ "${CURRENT_DIR}" == "/tmpfs/src" ]+then+  # we need to respawn now+  # - step out of current directory+  # - rename src/github to altsrc/github (/tmpfs/src is the directory that gets rsynced back to kokoro agent once the CI script finishes).+  #   Note that we don't want to move the entire /tmpfs/src tree (which contains e.g. the input artifacts as well,+  #   and their path is referenced by kokoro env variables), just /tmpfs/src/github+  #   which contains all the cloned github repositories (=our workspace in which the build happens)+  echo "Moving workspace from /tmpfs/src to /tmpfs/altsrc and respawning the CI script."+  # once "exec bash" starts, the CI script in the original location will no longer be in use and it will be safe to move+  # the entire "/tmpfs/src/github" tree (moving the bash script file while running is probably safe anyway on unix, but it doesn't+  # hurt to be extra careful)+  exec bash -c "set -ex; cd /tmpfs; mkdir -p altsrc; mv src/github altsrc; cd altsrc; exec '${CI_SCRIPT_RELATIVE_TO_SRC}'"

Nevermind, I found the changes to "run_tests.py", it's done via GRPC_TEST_REPORT_BASE_DIR.

jtattermusch

comment created time in 3 days

Pull request review commentgrpc/grpc

Avoid extremely slow kokoro job finalization by moving workspace to a non-synced directory on kokoro workers.

 cp -r artifacts/* input_artifacts/ || true # a better signal about which distribtest are affected by the currently broken artifact builds. tools/run_tests/task_runner.py -f distribtest linux python -j 12 -x distribtests/sponge_log.xml || FAILED="true" +tools/internal_ci/helper_scripts/store_artifacts_from_moved_src_tree.sh

This is a distribtest, do we need to preserve artifacts?

jtattermusch

comment created time in 3 days

Pull request review commentgrpc/grpc

Avoid extremely slow kokoro job finalization by moving workspace to a non-synced directory on kokoro workers.

 cp -r artifacts/ruby_native_gem_*/* input_artifacts/ || true # a better signal about which distribtest are affected by the currently broken artifact builds. tools/run_tests/task_runner.py -f distribtest linux ruby -j 6 -x distribtests/sponge_log.xml || FAILED="true" +tools/internal_ci/helper_scripts/store_artifacts_from_moved_src_tree.sh

This is a distribtest, do we need to preserve artifacts?

jtattermusch

comment created time in 3 days

Pull request review commentgrpc/grpc

Avoid extremely slow kokoro job finalization by moving workspace to a non-synced directory on kokoro workers.

+#!/bin/bash+# Copyright 2021 The gRPC Authors+#+# Licensed under the Apache License, Version 2.0 (the "License");+# you may not use this file except in compliance with the License.+# You may obtain a copy of the License at+#+#     http://www.apache.org/licenses/LICENSE-2.0+#+# Unless required by applicable law or agreed to in writing, software+# distributed under the License is distributed on an "AS IS" BASIS,+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.+# See the License for the specific language governing permissions and+# limitations under the License.++# Source this rc script at the beginning of your CI script to move+# the entire source tree to a different directory.+# That avoids slow finalization (and a number of other problems)+# caused by kokoro rsyncing the entire /tmpfs/src directory+# back to the agent.+# See b/74837748 for more context.++set -ex++CURRENT_DIR="$(pwd)"+CI_SCRIPT_RELATIVE_TO_SRC="$0"++if [ "${CURRENT_DIR}" == "/tmpfs/altsrc" ]+then+  # we already respawned under /tmpfs/altsrc, no need to do anything+  echo "Successfully respawned the CI script ${CI_SCRIPT_RELATIVE_TO_SRC} under ${CURRENT_DIR}."+  # scripts in tools/run_tests generate test reports and we need to make sure these reports+  # land in a directory that is going to be rsynced back to the kokoro agent.+  export GRPC_TEST_REPORT_BASE_DIR="/tmpfs/src/github/grpc"+elif [ "${CURRENT_DIR}" == "/tmpfs/src" ]+then+  # we need to respawn now+  # - step out of current directory+  # - rename src/github to altsrc/github (/tmpfs/src is the directory that gets rsynced back to kokoro agent once the CI script finishes).+  #   Note that we don't want to move the entire /tmpfs/src tree (which contains e.g. the input artifacts as well,+  #   and their path is referenced by kokoro env variables), just /tmpfs/src/github+  #   which contains all the cloned github repositories (=our workspace in which the build happens)+  echo "Moving workspace from /tmpfs/src to /tmpfs/altsrc and respawning the CI script."+  # once "exec bash" starts, the CI script in the original location will no longer be in use and it will be safe to move+  # the entire "/tmpfs/src/github" tree (moving the bash script file while running is probably safe anyway on unix, but it doesn't+  # hurt to be extra careful)+  exec bash -c "set -ex; cd /tmpfs; mkdir -p altsrc; mv src/github altsrc; cd altsrc; exec '${CI_SCRIPT_RELATIVE_TO_SRC}'"

How do we keep the "reports" files back at "/tmpfs/src"?

jtattermusch

comment created time in 3 days

Pull request review commentgrpc/grpc

Avoid extremely slow kokoro job finalization by moving workspace to a non-synced directory on kokoro workers.

 cp -r artifacts/* input_artifacts/ || true # a better signal about which distribtest are affected by the currently broken artifact builds. tools/run_tests/task_runner.py -f distribtest linux php -j 4 -x distribtests/sponge_log.xml || FAILED="true" +tools/internal_ci/helper_scripts/store_artifacts_from_moved_src_tree.sh

This is a distribtest, do we need to preserve artifacts?

jtattermusch

comment created time in 3 days

Pull request review commentgrpc/grpc

Avoid extremely slow kokoro job finalization by moving workspace to a non-synced directory on kokoro workers.

+#!/bin/bash+# Copyright 2021 The gRPC Authors+#+# Licensed under the Apache License, Version 2.0 (the "License");+# you may not use this file except in compliance with the License.+# You may obtain a copy of the License at+#+#     http://www.apache.org/licenses/LICENSE-2.0+#+# Unless required by applicable law or agreed to in writing, software+# distributed under the License is distributed on an "AS IS" BASIS,+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.+# See the License for the specific language governing permissions and+# limitations under the License.++# Source this rc script at the beginning of your CI script to move+# the entire source tree to a different directory.+# That avoids slow finalization (and a number of other problems)+# caused by kokoro rsyncing the entire /tmpfs/src directory+# back to the agent.+# See b/74837748 for more context.++set -ex++CURRENT_DIR="$(pwd)"+CI_SCRIPT_RELATIVE_TO_SRC="$0"

Good to learn the "$0" of sourced script still points to the parent file.

jtattermusch

comment created time in 3 days

PullRequestReviewEvent
PullRequestReviewEvent

issue commentgrpc/grpc

exceeded max_receive_message_length doesn't log anything (request nor response)

gRPC Python doesn't produce per-RPC trace log today. Python is a wrapper layer on top of gRPC Core, where you can find lots of trace log options: https://github.com/grpc/grpc/blob/master/doc/environment_variables.md.

If you want to intercept and log errors in Python, you can use interceptors, here is an example: https://github.com/grpc/grpc/tree/master/examples/python/interceptors/headers

maroshmka

comment created time in 3 days

push eventlidizheng/grpc

Mark D. Roth

commit sha 9722651156ddf97e8b90d991b379a4692c5a344e

xds_end2end_test: remove num_balancers from test suite and remove dependence on fake resolver for xDS channel (#28245) * xds_end2end_test: remove num_balancers from test suite * fix clang-tidy

view details

Yash Tibrewal

commit sha 50a207ee9cc2cf4ffbf3e34f7a46af854b3535f5

Promote ClientContext::set_wait_foor_ready to be non-experimental (#28247)

view details

Mark D. Roth

commit sha 0073403206f645d76f2e7eb27eb61ef5580c622b

XdsClient: fix object deletion problem on import (#28254)

view details

apolcyn

commit sha c6b9483a30b13e759942becfe0fc11f2cd023aab

add test for c-ares resolver error message propogation (#28252)

view details

push time in 4 days

PullRequestReviewEvent

pull request commentgrpc/grpc

Reduce the workload of presubmit artifact builds and distribtests

Sent cl/413468910, changes in this PR will only take effect when that CL is merged.

lidizheng

comment created time in 4 days

Pull request review commentgrpc/grpc

Reduce the workload of presubmit artifact builds and distribtests

+#!/bin/bash+# Copyright 2021 The gRPC Authors+#+# Licensed under the Apache License, Version 2.0 (the "License");+# you may not use this file except in compliance with the License.+# You may obtain a copy of the License at+#+#     http://www.apache.org/licenses/LICENSE-2.0+#+# Unless required by applicable law or agreed to in writing, software+# distributed under the License is distributed on an "AS IS" BASIS,+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.+# See the License for the specific language governing permissions and+# limitations under the License.++set -ex++# change to grpc repo root+cd $(dirname $0)/../../../..++source tools/internal_ci/helper_scripts/prepare_build_linux_rc++set +ex+[[ -s /etc/profile.d/rvm.sh ]] && . /etc/profile.d/rvm.sh+set -e  # rvm commands are very verbose+rvm --default use ruby-2.4.1+set -ex++# Linux artifacts includes C#, Python, Ruby, PHP, Protoc. Python, Ruby, PHP+# artifacts are being built inside individual distribtest jobs. Core-based C# is+# in sunset mode. So, we only build protoc here to avoid duplicated works.+tools/run_tests/task_runner.py -f artifact linux presubmit protoc -j 6

Sounds good. Reverted for now.

lidizheng

comment created time in 4 days

PullRequestReviewEvent

push eventlidizheng/grpc

mint570

commit sha 74d0e3905e9d5a94f592813cb1f137fb60a907b8

Fix compiler error for certain gcc version. (#28196)

view details

Nicolas 'Pixel' Noble

commit sha 396fdf2991304deda5f840c800f6131d9362e868

Change repo manager to hork@

view details

Yash Tibrewal

commit sha 789e8b33c857cb23fabb5b3b0659535790ea2500

RefCountedPtr: Explicit constructor (#28157) * RefCountedPtr: Explicit constructor * Explicit constructor for WeakRefCountedPtr

view details

Stanley Cheung

commit sha f3ef6869d6e6287c4e00dca4cd854fe023d62ed7

PHP: update examples (#28159) * PHP: update examples * Fix templates

view details

Esun Kim

commit sha 779701ab76c552affa9f5c7815c2b598c996ea54

google/api/... (#27928)

view details

Jan Tattermusch

commit sha 95cbcd8ceac76340f632eb7b1a3bf6c08da9c0e1

increase parallelism in selected artifact and distribtest jobs (#28227)

view details

Jan Tattermusch

commit sha ae65bb8f7f86b7c3a50146cebeb6da239dbbd5fb

windows: speedup build of C# extension and protoc artifacts (#28225)

view details

Jan Tattermusch

commit sha 205d7569eadd03456e2a692a011d630c0ba42a12

Big dockerimage cleanup (#28010) * use python3 for running run_tests.py * update dockerimage templates * update dockerfiles * fix bazel build in the bazel docker image * adjust run_tests.py to renamed php docker image * add previously forgotten new templates * add missing images * php dockerfile remove whitespaces * restore accidentally deleted binder_transport_apk image * add back cxx_buster_x64 image * add back php zts stretch image * add back binder_transport_apk image * fix bazel builds by temporarily adding back python2-dev * check_redundant_namespace_qualifiers.py to python3 * fix clang-tidy * make run_tests_matrix.py use python3 * fixup cxx_debian9 templates * regenerate * stop running dummy grpc-node tests for protobuf-at-head and boringssl-at-head jobs * remove cxx_buster image (replaced by cxx_debian9) * add back python_alpine_x64 image * run_tests_in_workspace using python3 * unbreak python macos basictests by partially reverting run_tests_matrix to python2 * fix cxx_gcc_X docker images

view details

Mark D. Roth

commit sha 64b2061907ee448bc055bd84cf06c2c7b42badfb

XdsClient: First steps toward a ResourceType abstraction (#28143) * introduce XdsResourceType API and change Listener parsing to use it * converted RouteConfig parsing * convert cluster and endpoint parsing * cleanup * clang-format * attempt to work around compiler problems

view details

Lidi Zheng

commit sha 45024f63a7eb353be91a4c3090e79dc5afdac7aa

Correct the error_in_stream_unary test (#28229)

view details

Vignesh Babu

commit sha e19e36deac8459f102e8785bb4aff6ccd874a475

Api fuzzer double free bug (#28237) * Updating surface/call implementation to handle double free exception if there is an error in enqueuing batches of operations * Adding double free exception inducing testcase

view details

Esun Kim

commit sha 75041ea3a933c46de558130f6d6864f0619eaaa9

Bump core version (#28246)

view details

Esun Kim

commit sha 5961aeb2a02c280a67efa9247b2b77304af865c8

Revert "Revert "Add absl::Status support to closure (#27308)" (#28211)" (#28220) This reverts commit cd9730d2d28626c57431253208f23507d466c825.

view details

Lidi Zheng

commit sha c9f5def1200141997ea983f78a6a0496b3fcea21

Reduce the workload of presubmit artifact builds and distribtests * Create and redirect Kokoro config * Remove duplicated scripts and use env var config

view details

Lidi Zheng

commit sha 44699fa850948f8994fd9f59b6938b6aef2b0813

Use the extra filter env var

view details

push time in 4 days

push eventlidizheng/grpc

mint570

commit sha 74d0e3905e9d5a94f592813cb1f137fb60a907b8

Fix compiler error for certain gcc version. (#28196)

view details

Nicolas 'Pixel' Noble

commit sha 396fdf2991304deda5f840c800f6131d9362e868

Change repo manager to hork@

view details

Yash Tibrewal

commit sha 789e8b33c857cb23fabb5b3b0659535790ea2500

RefCountedPtr: Explicit constructor (#28157) * RefCountedPtr: Explicit constructor * Explicit constructor for WeakRefCountedPtr

view details

Stanley Cheung

commit sha f3ef6869d6e6287c4e00dca4cd854fe023d62ed7

PHP: update examples (#28159) * PHP: update examples * Fix templates

view details

Esun Kim

commit sha 779701ab76c552affa9f5c7815c2b598c996ea54

google/api/... (#27928)

view details

Jan Tattermusch

commit sha 95cbcd8ceac76340f632eb7b1a3bf6c08da9c0e1

increase parallelism in selected artifact and distribtest jobs (#28227)

view details

Jan Tattermusch

commit sha ae65bb8f7f86b7c3a50146cebeb6da239dbbd5fb

windows: speedup build of C# extension and protoc artifacts (#28225)

view details

Jan Tattermusch

commit sha 205d7569eadd03456e2a692a011d630c0ba42a12

Big dockerimage cleanup (#28010) * use python3 for running run_tests.py * update dockerimage templates * update dockerfiles * fix bazel build in the bazel docker image * adjust run_tests.py to renamed php docker image * add previously forgotten new templates * add missing images * php dockerfile remove whitespaces * restore accidentally deleted binder_transport_apk image * add back cxx_buster_x64 image * add back php zts stretch image * add back binder_transport_apk image * fix bazel builds by temporarily adding back python2-dev * check_redundant_namespace_qualifiers.py to python3 * fix clang-tidy * make run_tests_matrix.py use python3 * fixup cxx_debian9 templates * regenerate * stop running dummy grpc-node tests for protobuf-at-head and boringssl-at-head jobs * remove cxx_buster image (replaced by cxx_debian9) * add back python_alpine_x64 image * run_tests_in_workspace using python3 * unbreak python macos basictests by partially reverting run_tests_matrix to python2 * fix cxx_gcc_X docker images

view details

Mark D. Roth

commit sha 64b2061907ee448bc055bd84cf06c2c7b42badfb

XdsClient: First steps toward a ResourceType abstraction (#28143) * introduce XdsResourceType API and change Listener parsing to use it * converted RouteConfig parsing * convert cluster and endpoint parsing * cleanup * clang-format * attempt to work around compiler problems

view details

Lidi Zheng

commit sha 45024f63a7eb353be91a4c3090e79dc5afdac7aa

Correct the error_in_stream_unary test (#28229)

view details

Vignesh Babu

commit sha e19e36deac8459f102e8785bb4aff6ccd874a475

Api fuzzer double free bug (#28237) * Updating surface/call implementation to handle double free exception if there is an error in enqueuing batches of operations * Adding double free exception inducing testcase

view details

Esun Kim

commit sha 75041ea3a933c46de558130f6d6864f0619eaaa9

Bump core version (#28246)

view details

Esun Kim

commit sha 5961aeb2a02c280a67efa9247b2b77304af865c8

Revert "Revert "Add absl::Status support to closure (#27308)" (#28211)" (#28220) This reverts commit cd9730d2d28626c57431253208f23507d466c825.

view details

push time in 5 days

issue closedgrpc/grpc

flaky test: python_macos_opt_asyncio_py38_asyncio_test_aio_unit_server_test_TestServer.py38_asyncio.test_aio.unit.server_test.TestServer

https://source.cloud.google.com/results/invocations/5a4b8e54-9fe5-4932-a57a-10ee76a1f978/targets/github%2Fgrpc%2Frun_tests%2Fpython_macos_opt_asyncio%2Fpy38_asyncio.test_aio.unit.server_test.TestServer/tests

closed time in 5 days

jtattermusch

issue commentgrpc/grpc

flaky test: python_macos_opt_asyncio_py38_asyncio_test_aio_unit_server_test_TestServer.py38_asyncio.test_aio.unit.server_test.TestServer

This is the same as b/208447419, should be fixed by https://github.com/grpc/grpc/pull/28229.

jtattermusch

comment created time in 5 days

push eventgrpc/grpc

Lidi Zheng

commit sha 45024f63a7eb353be91a4c3090e79dc5afdac7aa

Correct the error_in_stream_unary test (#28229)

view details

push time in 5 days

more